List benchmarks
curl --request GET \
--url https://www.prometheus.services/api/v1/indices \
--header 'X-API-KEY: <api-key>'import requests
url = "https://www.prometheus.services/api/v1/indices"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://www.prometheus.services/api/v1/indices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"indices": [
{
"symbol": "SPY",
"name": "SPDR S&P 500 ETF Trust",
"short_name": "S&P 500",
"category": "broad_market",
"benchmark_role": "market",
"sector_key": null,
"index_family": "S&P 500",
"issuer": "State Street",
"expense_ratio": 0.0945,
"inception_date": "1993-01-22",
"last_price": 765.719971,
"last_price_date": "2026-08-21",
"return_1d": 0.004091260291358756,
"return_1w": -0.013679645040381216,
"return_1m": 0.023306705142601025,
"return_ytd": 0.12885560863708556,
"return_1y": 0.21816440082463728,
"return_5y": 0.847878538609889,
"low_52w": 629.280029,
"high_52w": 779.369995,
"volatility_30d": 0.12358656186305594,
"price_rows": 8448,
"days_stale": 3
},
{
"symbol": "QQQ",
"name": "Invesco QQQ Trust, Series 1",
"short_name": "Nasdaq-100",
"category": "broad_market",
"benchmark_role": "none",
"sector_key": null,
"index_family": "Nasdaq-100",
"issuer": "Invesco",
"expense_ratio": 0.2,
"inception_date": "1999-03-10",
"last_price": 713.440002,
"last_price_date": "2026-08-21",
"return_1d": 0.0035305993905367927,
"return_1w": -0.024115344400936434,
"return_1m": 0.006304965207052593,
"return_ytd": 0.16411036717849448,
"return_1y": 0.27268141471996343,
"return_5y": 0.9991140896122617,
"low_52w": 555.599976,
"high_52w": 748.650024,
"volatility_30d": 0.21897382889282002,
"price_rows": 6906,
"days_stale": 3
},
{
"symbol": "DIA",
"name": "SPDR Dow Jones Industrial Average ETF",
"short_name": "Dow 30",
"category": "broad_market",
"benchmark_role": "none",
"sector_key": null,
"index_family": "Dow Jones Industrial Average",
"issuer": "State Street",
"expense_ratio": 0.16,
"inception_date": "1998-01-14",
"last_price": 532.219971,
"last_price_date": "2026-08-21",
"return_1d": 0.009765199544523151,
"return_1w": -0.007710040455795486,
"return_1m": 0.021382576900711436,
"return_ytd": 0.11701306676802092,
"return_1y": 0.2063183455157358,
"return_5y": 0.6524115739244694,
"low_52w": 450.160004,
"high_52w": 546.75,
"volatility_30d": 0.1276985638829502,
"price_rows": 7192,
"days_stale": 3
}
]
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}Market Data
List benchmarks
Benchmark indices and sector ETFs.
GET
/
api
/
v1
/
indices
List benchmarks
Authorizations
apiKeycognitoIdToken
Prometheus API key (pk_live_...), created on the Developers page in the terminal. Also accepted as Authorization: Bearer pk_live_....
Response
OK
The response is of type object.
⌘I